commit:     0ab972e191e849398b99f0aced27e02ec576e67a
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 20 07:04:26 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Mar 20 07:07:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ab972e1

dev-ruby/oauth2: add 1.4.7

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/oauth2/Manifest            |  1 +
 dev-ruby/oauth2/oauth2-1.4.7.ebuild | 55 +++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-ruby/oauth2/Manifest b/dev-ruby/oauth2/Manifest
index 1d61fe510ac..0d3fbb8efe1 100644
--- a/dev-ruby/oauth2/Manifest
+++ b/dev-ruby/oauth2/Manifest
@@ -1 +1,2 @@
 DIST oauth2-1.4.4.tar.gz 28477 BLAKE2B 
925008fcf4dd48da3b17c539713bf0f05f649d431ab1676293de625bef4165f31153271d48bbb0c6265c67d7bb6a3cbc7217ce155ba331b22a00d572a855a8ef
 SHA512 
5398a25664e53d1942b0ecbe5d74ca9cc8f04a928c96073f40cfff207c4bf220634185320954a0d1f36944547fb48264855c9523318fbb79dd4a3779a7a46e79
+DIST oauth2-1.4.7.tar.gz 32341 BLAKE2B 
f3db3ff7ebcf7bc0958a564fdb0812c1bfb613148c5a16655f276fda4d6dac7769196305d854ee0fc3f8b4b53a93b4ae504b348029e1b363bcb704293887347a
 SHA512 
4a43b3f75e827e9a12a74a6fe13a29b141c0d5bcb6a0d5c86dc8d8726f650a9fd5250ecc2c31cee5e985f0cb50e02f828d27fd07577bcac4dfc8ff4e009bd710

diff --git a/dev-ruby/oauth2/oauth2-1.4.7.ebuild 
b/dev-ruby/oauth2/oauth2-1.4.7.ebuild
new file mode 100644
index 00000000000..08c977da716
--- /dev/null
+++ b/dev-ruby/oauth2/oauth2-1.4.7.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="oauth2.gemspec"
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="Wrapper for the OAuth 2.0 protocol with a similar style to the 
OAuth gem"
+HOMEPAGE="https://github.com/intridea/oauth2";
+SRC_URI="https://github.com/intridea/oauth2/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/faraday-0.8 <dev-ruby/faraday-2.0
+       dev-ruby/jwt:2
+       >=dev-ruby/multi_json-1.3 =dev-ruby/multi_json-1*
+       >=dev-ruby/multi_xml-0.5:0
+       >=dev-ruby/rack-1.2:* <dev-ruby/rack-3:*"
+ruby_add_bdepend "test? (
+       >=dev-ruby/addressable-2.3
+       dev-ruby/rspec:3
+       dev-ruby/rspec-stubbed_env
+)"
+
+all_ruby_prepare() {
+       sed -e '/simplecov/,/^  end/ s:^:#:' \
+               -e '/silent/I s:^:#:' \
+               -e '1irequire "uri"' \
+               -e '/require.*oauth2/arequire "oauth2/version"' \
+               -i spec/helper.rb || die
+
+       sed -i -e '/yardstick/,/^end/ s:^:#:' \
+               -e '/bundler/I s:^:#:' Rakefile || die
+
+       # Avoid spec that is too fragile in relation to ENV
+       sed -i -e '/outputs to $stdout when OAUTH_DEBUG=true/a skip "fragile 
ENV stubbing"' spec/oauth2/client_spec.rb || die
+
+       sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} 
|| die
+}
+
+each_ruby_test() {
+       CI=true ${RUBY} -S rspec-3 spec || die
+}

Reply via email to